@import './variables';

.preloader {
  align-items: center;
  display: flex;
  height: 100%;
  justify-content: center;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 9999999;
  background-color: $gru-fifth-color;

  .spinner {
    animation: spinner 0.7s infinite linear;
    border: 3px solid rgba(0, 0, 0, 0.2);
    border-radius: 50%;
    border-top-color: $gru-first-color;
    height: 7em;
    position: fixed;
    width: 7em;
    z-index: 1000;
  }

  .logo {
    height: 5em;
    width: 5em;
  }
}

@keyframes spinner {
  to {
    transform: rotateZ(360deg);
  }
}
